<a href="http://www.magepal.com" title="Magento Extension App Store"><img src="https://image.ibb.co/dHBkYH/Magepal_logo.png" width="100" align="right" alt="MagePal - Magento Extension MarketPlace" /></a>

# Custom Flat Fee Shipping Rates for Magento2

[![Total Downloads](https://poser.pugx.org/magepal/magento2-customshippingrate/downloads)](https://packagist.org/packages/magepal/magento2-customshippingrate)
[![Latest Stable Version](https://poser.pugx.org/magepal/magento2-customshippingrate/v/stable)](https://packagist.org/packages/magepal/magento2-customshippingrate)

<a href="https://www.magepal.com/magento2/extensions/shipping.html" ><img alt="Magento Shipping Extensions" src="https://user-images.githubusercontent.com/1415141/109374323-86591a00-7882-11eb-82c1-b5bb58ca77fe.png" /></a>

As a Magento merchant completing with other major brands, providing simple flat rate shipping is essential to your business success. Our Magento 2 custom flat shipping method extension adds two essential functionality to your Magento store which gives you fully take control your store shipping options by providing the ability to quickly add custom flat fee shipping rates to both admin order creation or display a simple list of flat rates to your website customers. So whether you are using United States Postal Services, United Parcel Service, Federal Express, DHL or any other carriers, our Magento2 shipping extension makes it easy for you to quickly add simple flat rate shipping fees to your Magento site.

### Custom Shipping Rate for Admin Order
Whether you are creating a new order or canceling and rewriting existing orders in Magento Admin, our admin shipping extension gives you the ability to apply a custom shipping rate, method, and description to any order. This free extension is essential for businesses that do a lot of phone orders or mail orders and want to offer special shipping cost for individual customers. With our admin shipping plugin extension changing shipping amount for a particular order is as easy as entering the shipping amount instead of choosing predefined standard shipping rates and invoice your customer as you would with any standard shipping rate.

### Order Package Tracking
Want to add FedEx, UPS, USPS or DHL order package tracking to your Magento store? Learn more about our [Order Package Tracking for Magento 2](https://www.magepal.com/order-shipment-tracking-for-magento-2.html) extension. Improve your average customer acquisition cost by upselling more products and services to each customer.

### Custom Shipping Rate for Admin Order
Whether you are creating a new order or canceling and rewriting existing orders in Magento Admin, our admin shipping extension gives you the ability to apply a custom shipping rate, method, and description to any order. This free extension is essential for businesses that do a lot of phone orders or mail orders and want to offer special shipping cost for individual customers. With our admin shipping plugin extension changing shipping amount for a particular order is as easy as entering the shipping amount instead of choosing predefined standard shipping rates and invoice your customer as you would with any standard shipping rate.

![Magento2 Custom Shippiing Rate Admin](https://image.ibb.co/ijTPtH/Custom_Shipping_Rate_for_Magento2_by_Magepal.gif)

### Frontend Shipping Methods
Instead of using complex shipping table rates, our extension simplifies your checkout process by giving you the ability to create an unlimited number of flat price shipping methods. Perfect for e-commerce stores that offer flat shipping price for all their products. Improve your order conversion rate by offering your customers a simple checkout process using our shipping extension

![Magento2 Custom Shippiing Method Frontend](https://image.ibb.co/hjHHDH/Custom_Shipping_Rate_for_Magento2_frontend.png)

### How to Configure Magento Shipping Rate
Setting up our shipping method is as simple as entering four options for your different rate.

![Magento2 Custom Shippiing price Configuration](https://user-images.githubusercontent.com/1415141/38053884-457a6ba6-32a3-11e8-86bd-97245b7a0356.png)


### Documentation

 - [How to Install Custom Flat Fee Shipping Rates for Magento2](https://www.magepal.com/help/docs/configure-custom-shipping-methods-magento-2/#installation)

 - [How to Setup Custom Shipping Rates for Magento2](https://www.magepal.com/help/docs/configure-custom-shipping-methods-magento-2/#configuration)
 

### Installation

##### Using Composer (recommended)

```
composer require magepal/magento2-customshippingrate
```

Contribution
---
Want to contribute to this extension? The quickest way is to open a [pull request on GitHub](https://help.github.com/articles/using-pull-requests). For fast Premium Support visit our [Custom Shipping Rates](https://www.magepal.com/magento2/extensions/custom-shipping-rates-for-magento-2.html?utm_source=Custom%20Shipping%20Rates&utm_medium=Premium%20Support) product page for detail.


Support
---
If you encounter any problems or bugs, please open an issue on [GitHub](https://github.com/magepal/magento2-custom-shipping-rate/issues).

Need help setting up or want to customize this extension to meet your business needs? Please email support@magepal.com and if we like your idea we will add this feature for free or at a discounted rate.

Magento 2 Extensions
---
- [Custom SMTP](https://www.magepal.com/magento2/extensions/custom-smtp.html)
- [Catalog Hover Image for Magento](https://www.magepal.com/magento2/extensions/catalog-hover-image-for-magento.html)
- [Enhanced Success Page for Magento 2](https://www.magepal.com/magento2/extensions/enhanced-success-page.html)
- [Enhanced Transactional Emails for Magento 2](https://www.magepal.com/magento2/extensions/enhanced-transactional-emails.html)
- [Google Tag Manager](https://www.magepal.com/magento2/extensions/google-tag-manager.html) 
- [Enhanced E-commerce](https://www.magepal.com/magento2/extensions/enhanced-ecommerce-for-google-tag-manager.html) 
- [Reindex](https://www.magepal.com/magento2/extensions/reindex.html) 
- [Custom Shipping Method](https://www.magepal.com/magento2/extensions/custom-shipping-rates-for-magento-2.html) 
- [Preview Order Confirmation](https://www.magepal.com/magento2/extensions/preview-order-confirmation-page-for-magento-2.html)
- [Guest to Customer](https://www.magepal.com/magento2/extensions/guest-to-customer.html) 
- [Admin Form Fields Manager](https://www.magepal.com/magento2/extensions/admin-form-fields-manager-for-magento-2.html) 
- [Customer Dashboard Links Manager](https://www.magepal.com/magento2/extensions/customer-dashboard-links-manager-for-magento-2.html) 
- [Lazy Loader](https://www.magepal.com/magento2/extensions/lazy-load.html) 
- [Order Confirmation Page Miscellaneous Scripts](https://www.magepal.com/magento2/extensions/order-confirmation-miscellaneous-scripts-for-magento-2.html)
- [HTML Minifier for Magento2](https://www.magepal.com/magento2/extensions/html-minifier.html)

© MagePal LLC. | [www.magepal.com](https://www.magepal.com)
